<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net7.0</TargetFramework>
        <RollForward>Major</RollForward>
        <PublishReadyToRun>false</PublishReadyToRun>
        <TieredCompilation>false</TieredCompilation>
        <LangVersion>11</LangVersion>
    </PropertyGroup>
    <PropertyGroup>
        <ApplicationManifest>app.manifest</ApplicationManifest>
        <ApplicationIcon>Icon.ico</ApplicationIcon>
    </PropertyGroup>
    <ItemGroup>
        <None Remove="Icon.ico"/>
        <None Remove="Icon.bmp"/>
    </ItemGroup>
    <ItemGroup>
        <EmbeddedResource Include="Icon.ico"/>
        <EmbeddedResource Include="Icon.bmp"/>
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="MonoGame.Framework.DesktopGL" Version="3.8.1.303" />
        <PackageReference Include="MonoGame.Content.Builder.Task" Version="3.8.1.303" />
        <PackageReference Include="System.Configuration.ConfigurationManager" Version="7.0.0" />
    </ItemGroup>
    <Target Name="RestoreDotnetTools" BeforeTargets="Restore">
        <Message Text="Restoring dotnet tools" Importance="High"/>
        <Exec Command="dotnet tool restore"/>
    </Target>
</Project>